2011年2月17日

[ubuntu-jp:3400] Re:Ubuntu 10.10 で、 platex -kanji=utf8 が通らない

こんにちは。玖零度隼翔と申します。
元記事に引用されているURL http://ameblo.jp/tgnx8810 の管理者です。

今考えると、どうやらあの記事を書いたときに、日本語セットアップヘルパで導
入したLaTeXと、
コンパイルして導入したpteTeXが混在していたおそれがあります。
それを何ヶ月も放置したようで申し訳ございません。

さて、platexした際のエラー、
>warning: Ignoring unknown argument `utf8' to --kanji.
>This is pTeXk, Version 3.141592-p3.1.11 (euc) (Web2C 7.5.4)

このエラーは日本語セットアップヘルパで導入したLaTeXでみられます。
pteTeXだと、
>This is pTeX, Version 3.141592-p3.1.10 (utf8.euc) (Web2C 7.5.4)
との表示になります。

さんざん調べましたが、--kanji=utf8 が使えない(manページでも--kanji引数
に対してutfの記述はない)ので、
入力ファイルをnkfでEUCに変えるか、pteTexを導入したほうがいいのかもしれま
せん。
該当URLのページをわかり易く(したつもり)編集しなおしましたので、確認を
おねがいします。

導入の際は既存のLaTeXと /usr/local/teTeX の削除をおねがいします。

--
Hayato CRADLE
http://ameblo.jp/tgnx8810


投稿者 xml-rpc : 2011年2月17日 22:51
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/102080
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。